# MassiveBox's Website

A statically generated website and blog, built with [Astro](https://astro.build/) and based on the
[Astro Paper](https://astro-paper.pages.dev/) theme.

Check it out at [massive.box](https://massive.box).

## Getting started

```shell
npm install
npm run dev
```

In order to compile the site, run
```shell
npm run build
```
The website will be built to the `./dist` folder.

## Blogging with Joplin

You can use Joplin to write and manageyour blog posts, instead of just placing the Markdown files in the
`src/content/blog` folder.

1. Install [Joplin](https://joplinapp.org/)
2. Start the Web Clipper Service: Tools > Options > Web Clipper > Start Web Clipper Service
3. Run `npm run joplin`
4. Allow the request for an API token on the Joplin app

The script will look for a notebook named `Blog`. It will then download all notes from that notebook, alongside their
attachments, and place them in the `src/content/blog` folder.

You can embed attachments in your notes, and they will work normally in the blog.  
You might need to restart the development server after running the Joplin script.

In order, to have an ogImage (also known as article cover):
1. Add the image to the note, and change the alt text to `ogImage`. It will look like this:
    ```
   ![ogImage](:/0f409e2b6faf44e48c5c0d99453d02c0)
   ```
2. Copy the attachment ID (in this example, it's `0f409e2b6faf44e48c5c0d99453d02c0`)
3. Paste it in your frontmatter like this:
    ```
   ogImage: ./0f409e2b6faf44e48c5c0d99453d02c0
   ```
   Note the `.` (dot) instead of `:` (colon)!

## License

The original [Astro Paper](https://github.com/satnaing/astro-paper) is licensed under the MIT License, Copyright © 2025 
[Sat Naing](https://github.com/satnaing).  
Any change to the original code is licensed under the AGPLv3 License, Copyright © 2025 MassiveBox.