import type { GiteaProfile, Site, SocialObjects } from "./types";

export const SITE: Site = {
  website: "https://massive.box/", // replace this with your deployed domain
  author: "MassiveBox",
  desc: "MassiveBox is a free time developer and FOSS enthusiast. This is his website.",
  title: "MassiveBox",
  ogImage: "/og.webp",
  lightAndDarkMode: true,
  postPerPage: 3,
  scheduledPostMargin: 15 * 60 * 1000, // 15 minutes
  issoLocation: "https://isso.massive.box/", // empty to disable comments
};

export const LOCALE = {
  lang: "en", // html lang code. Set this empty and default will be "en"
  langTag: ["en-EN"], // BCP 47 Language Tags. Set this empty [] to use the environment default
} as const;

export const SOCIALS: SocialObjects = [
  {
    icon: "fa6-solid:envelope",
    href: "/email",
    name: "E-Mail"
  },
  {
    icon: "simple-icons:matrix",
    href: "https://matrix.to/#/@massivebox:massivebox.net",
    name: "Matrix",
  },
  {
    icon: "simple-icons:telegram",
    href: "https://t.me/massivebox",
    name: "Telegram",
  },
  {
    icon: "simple-icons:forgejo",
    href: "https://git.massive.box/massivebox",
    name: "Forgejo (Git hosting)",
  },
  {
    icon: "simple-icons:bluesky",
    href: "https://bsky.app/profile/massive.box",
    name: "Bluesky",
  },
  {
    icon: "fa6-solid:key",
    href: "https://keyoxide.org/box@massive.box",
    name: "Keyoxide",
  }
];